/*
 * lcdtest4.c
 *
 * Test lcd.lib and delays.lib
 *
 * Show the operation of lcd_puts
 *
 * Connect the LCD to port A pin 1 (i.e. physical pin 18 on a 16C84)
 *
 * Mark Crosbie 9/20/98
 */

#define LCDPIN 1
const char *string="Hello World!";

void main(void) {

  char i;
  char s;

  set_bit(STATUS, RP0);    // select the register bank 1
  clear_bit(TRISA, LCDPIN);           // Port A is output
  clear_bit(STATUS, RP0);

  delay_s(1);

  lcd_clear();
  delay_s(1);
  s = ADDR(string);
  while(1) {
    lcd_puts(s);
    delay_s(2);
    lcd_clear();
    }
  }
}
